<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.11) on Mon Sep 20 11:24:22 IST 2021 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-20">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/springservice/EmployeeService.html#searchEmployeeById(java.lang.String)">searchEmployeeById(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.springservice.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/springservice/EmployeeService.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.springservice">EmployeeService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html#setAnnualIncome(double)">setAnnualIncome(double)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setApproved(boolean)">setApproved(boolean)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Collateral.html#setCollateralId(java.lang.String)">setCollateralId(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setCollaterals(java.util.List)">setCollaterals(List&lt;Collateral&gt;)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Collateral.html#setCollateralType(java.lang.String)">setCollateralType(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setCustomer(com.techgatha.loan.LoanProposalSpringBootProject.model.Customer)">setCustomer(Customer)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html#setCustomerAddress(java.lang.String)">setCustomerAddress(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html#setCustomerEmailId(java.lang.String)">setCustomerEmailId(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html#setCustomerIdentity(java.lang.String)">setCustomerIdentity(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html#setCustomerName(java.lang.String)">setCustomerName(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/User.html#setEmail(java.lang.String)">setEmail(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/User.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Email.html#setEmailid(java.lang.String)">setEmailid(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Email.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Email</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html#setEmails(java.util.List)">setEmails(List&lt;Email&gt;)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Supplier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setEmployee(com.techgatha.loan.LoanProposalSpringBootProject.model.Employee)">setEmployee(Employee)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Employee.html#setEmployeeId(java.lang.String)">setEmployeeId(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Employee.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Employee</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Employee.html#setEmployeeName(java.lang.String)">setEmployeeName(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Employee.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Employee</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html#setIncomeTaxReturnAttached(boolean)">setIncomeTaxReturnAttached(boolean)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setInterestRate(double)">setInterestRate(double)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setLoanAmount(double)">setLoanAmount(double)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setLoanId(java.lang.String)">setLoanId(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setLoanType(java.lang.String)">setLoanType(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/exception/EntityNotFoundException.html#setMessage(java.lang.String)">setMessage(String)</a></span> - Method in exception com.techgatha.loan.LoanProposalSpringBootProject.exception.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/exception/EntityNotFoundException.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.exception">EntityNotFoundException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/response/ResponsePage.html#setMessage(java.lang.String)">setMessage(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.response.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html#setPassword(java.lang.String)">setPassword(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/User.html#setPassword(java.lang.String)">setPassword(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/User.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setPeriod(double)">setPeriod(double)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html#setRemarks(java.lang.String)">setRemarks(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Loan.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Loan</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html#setSid(int)">setSid(int)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Supplier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/response/ResponsePage.html#setStatus(int)">setStatus(int)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.response.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Email.html#setSupplier(com.techgatha.loan.LoanProposalSpringBootProject.model.Supplier)">setSupplier(Supplier)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Email.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Email</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html#setSuppname(java.lang.String)">setSuppname(String)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Supplier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/mvc/HomeController.html#signup(java.util.Map)">signup(Map&lt;String, String[]&gt;)</a></span> - Method in class com.techgatha.loan.LoanProposalSpringBootProject.mvc.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/mvc/HomeController.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.mvc">HomeController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model"><span class="typeNameLink">Supplier</span></a> - Class in <a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.model</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html#%3Cinit%3E()">Supplier()</a></span> - Constructor for class com.techgatha.loan.LoanProposalSpringBootProject.model.<a href="../com/techgatha/loan/LoanProposalSpringBootProject/model/Supplier.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Supplier</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
